<?php

namespace Lc\SovBundle\Factory\Reminder;

use App\Entity\Reminder\Reminder;
use Lc\SovBundle\Factory\AbstractFactory;
use Lc\SovBundle\Model\Reminder\ReminderInterface;

class ReminderFactory extends AbstractFactory implements ReminderFactoryInterface
{
    public function create(
            string $crudAction = null,
            string $crudControllerFqcn = null,
            int $entityId = null
    ): ReminderInterface {
        $reminder = new Reminder();

        $reminder->setCrudAction($crudAction);
        $reminder->setCrudControllerFqcn($crudControllerFqcn);
        $reminder->setEntityId($entityId);

        return $reminder;
    }

}
